## libxcp-idl-ocaml 0.9.18

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=xcp
J=4

export OCAMLRUNPARAM=b

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	@./setup.bin -install

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@./setup.bin -reinstall

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
libxcp-idl-ocaml (0.9.18-1) UNRELEASED; urgency=low

  * Update to 0.9.18

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Wed, 20 Aug 2014 12:00:00 +0000

libxcp-idl-ocaml (0.9.17-1) UNRELEASED; urgency=low

  * Update to 0.9.17

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

libxcp-idl-ocaml (0.9.16-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Mon, 02 Jun 2014 12:00:00 +0000

libxcp-idl-ocaml (0.9.16-1) UNRELEASED; urgency=low

  * Update to 0.9.16, with RRD fixes

 -- David Scott <dave.scott@citrix.com>  Fri, 09 May 2014 12:00:00 +0000

libxcp-idl-ocaml (0.9.15-1) UNRELEASED; urgency=low

  * Update to 0.9.15, now with vGPU and SR.probe

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 25 Apr 2014 12:00:00 +0000

libxcp-idl-ocaml (0.9.14-1) UNRELEASED; urgency=low

  * Support searching for executables on the XCP_PATH as well as the PATH

 -- David Scott <dave.scott@eu.citrix.com>  Thu, 26 Sep 2013 12:00:00 +0000

libxcp-idl-ocaml (0.9.12-1) UNRELEASED; urgency=low

  * Allow domain 0 memory policy to be queried

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 04 Sep 2013 12:00:00 +0000

=== debian/control ===
Source: libxcp-idl-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libsexplib-camlp4-dev,
 libxcp-rrd-ocaml-dev,
 libcohttp-ocaml-dev,
 message-switch-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 librpc-ocaml-dev,
 camlp4-extra,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libxmlm-ocaml-dev,
 ocaml-findlib,
 libfd-send-recv-ocaml-dev,
 libcmdliner-ocaml-dev

Package: libxcp-idl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Common interface definitions for XCP services
 Common interface definitions for XCP services.

Package: libxcp-idl-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libxcp-idl-ocaml (>= 0.9.18-1),
 libcmdliner-ocaml-dev,
 message-switch-dev,
 liburi-ocaml-dev,
 libre-ocaml-dev,
 libcohttp-ocaml-dev,
 librpc-ocaml-dev,
 libfd-send-recv-ocaml-dev,
 libxmlm-ocaml-dev,
 libsexplib-camlp4-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-xcp-idl
 The ocaml-xcp-idl-devel package contains libraries and signature
 files for developing applications that use ocaml-xcp-idl.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libxcp-idl-ocaml/usr/lib/ocaml/xcp/*.a
	rm -f debian/libxcp-idl-ocaml/usr/lib/ocaml/xcp/*.cmxa
	rm -f debian/libxcp-idl-ocaml/usr/lib/ocaml/xcp/*.cmx
	rm -f debian/libxcp-idl-ocaml/usr/lib/ocaml/xcp/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:

## libxcp-idl-ocaml 0.9.21

=== debian/changelog ===
libxcp-idl-ocaml (0.9.21-1) UNRELEASED; urgency=low

  * Update to 0.9.21

 -- David Scott <dave.scott@citrix.com>  Wed, 21 Jan 2015 12:00:00 +0000

libxcp-idl-ocaml (0.9.20-1) UNRELEASED; urgency=low

  * Update to 0.9.20

 -- David Scott <dave.scott@citrix.com>  Tue, 14 Oct 2014 12:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  camlp4-extra,
  ocaml-native-compilers,
  libounit-ocaml-dev,
+ libxcp-inventory-ocaml-dev,
  libxmlm-ocaml-dev,
  ocaml-findlib,
  libfd-send-recv-ocaml-dev,
@@ -39,7 +40,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- libxcp-idl-ocaml (>= 0.9.18-1),
+ libxcp-idl-ocaml (>= 0.9.21-1),
  libcmdliner-ocaml-dev,
  message-switch-dev,
  liburi-ocaml-dev,
@@ -48,7 +49,8 @@
  librpc-ocaml-dev,
  libfd-send-recv-ocaml-dev,
  libxmlm-ocaml-dev,
- libsexplib-camlp4-dev
+ libsexplib-camlp4-dev,
+ libxcp-inventory-ocaml-dev
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: Development files for ocaml-xcp-idl
